Node('cfg/main/ill3.cfg',
     'orange cryofurnace with 70 mm sample space (low T)',
     interface='5000',
     name='ill3',
)

Mod('sea_main',
    'secop_psi.sea.SeaClient',
    'main sea connection for ill3.config',
    config='ill3.config',
    service='main',
)

Mod('tt',
    'secop_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='tt',
)

Mod('cc',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='cc',
    extra_modules=['h'],
    visibility=2,
)

Mod('lev',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    single_module='cc.h',
)

Mod('nv',
    'secop_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='nv',
)

Mod('ln2fill',
    'secop_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='ln2fill',
)

Mod('hefill',
    'secop_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hefill',
)

Mod('hepump',
    'secop_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hepump',
)

Mod('hemot',
    'secop_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='hemot',
)

Mod('nvflow',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='nvflow',
)

Mod('table',
    'secop_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='table',
)
